summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/csit
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/csit')
-rw-r--r--jjb/scripts/csit/cpta.sh89
-rwxr-xr-x[-rw-r--r--]jjb/scripts/csit/device-semiweekly.sh4
-rw-r--r--jjb/scripts/csit/docs.sh78
-rw-r--r--jjb/scripts/csit/hc2vpp-verify-func.sh51
-rw-r--r--jjb/scripts/csit/nsh_sfc-functional-virl.sh36
-rw-r--r--jjb/scripts/csit/nsh_sfc-perf-hw.sh34
-rwxr-xr-x[-rw-r--r--]jjb/scripts/csit/perf-timed.sh6
-rw-r--r--jjb/scripts/csit/report.sh78
-rw-r--r--jjb/scripts/csit/terraform-aws-eb-version-deploy.sh (renamed from jjb/scripts/csit/vpp-functional-virl.sh)19
-rw-r--r--jjb/scripts/csit/terraform-aws-eb-version-verify.sh (renamed from jjb/scripts/csit/vpp-functional-multilink.sh)19
-rw-r--r--jjb/scripts/csit/tldk-functional-virl.sh41
11 files changed, 17 insertions, 438 deletions
diff --git a/jjb/scripts/csit/cpta.sh b/jjb/scripts/csit/cpta.sh
deleted file mode 100644
index 512fd03bf..000000000
--- a/jjb/scripts/csit/cpta.sh
+++ /dev/null
@@ -1,89 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/csit/cpta.sh"
-
-set -xe -o pipefail
-
-[ "${DOCS_REPO_URL}" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "${PROJECT_PATH}" ] || PROJECT_PATH="io/fd/csit"
-[ "${DOC_DIR}" ] || DOC_DIR="resources/tools/presentation"
-[ "${BUILD_DIR}" ] || BUILD_DIR="${DOC_DIR}/_build"
-[ "${SITE_DIR}" ] || SITE_DIR="build-root/docs/deploy-site"
-[ "${RESOURCES_DIR}" ] || RESOURCES_DIR="${SITE_DIR}/src/site/resources/trending"
-[ "${STATIC_VPP_DIR}" ] || STATIC_VPP_DIR="${RESOURCES_DIR}/_static/vpp"
-[ "${MVN}" ] || MVN="/opt/apache/maven/bin/mvn"
-[ "${FAILED_TESTS}" ] || FAILED_TESTS="${STATIC_VPP_DIR}/trending-failed-tests.txt"
-[ "${REGRESSIONS}" ] || REGRESSIONS="${STATIC_VPP_DIR}/trending-regressions.txt"
-[ "${PROGRESSIONS}" ] || PROGRESSIONS="${STATIC_VPP_DIR}/trending-progressions.txt"
-
-# Create a text file with email body in case the build fails:
-cd "${WORKSPACE}"
-mkdir -p "${STATIC_VPP_DIR}"
-EMAIL_BODY="ERROR: The build number ${BUILD_NUMBER} of the job ${JOB_NAME} failed. For more information see: ${BUILD_URL}"
-echo "${EMAIL_BODY}" > "${FAILED_TESTS}"
-echo "${EMAIL_BODY}" > "${REGRESSIONS}"
-echo "${EMAIL_BODY}" > "${PROGRESSIONS}"
-
-cd "${DOC_DIR}"
-chmod +x ./run_cpta.sh
-STATUS=$(./run_cpta.sh | tail -1)
-
-cd "${WORKSPACE}"
-rm -rf "${SITE_DIR}/"*
-
-mkdir -p "${RESOURCES_DIR}"
-ls "${RESOURCES_DIR}"
-mv -f "${BUILD_DIR}/"* "${RESOURCES_DIR}"
-
-cd "${SITE_DIR}"
-
-cat > pom.xml << EOF
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
- <modelVersion>4.0.0</modelVersion>
- <groupId>io.fd.csit</groupId>
- <artifactId>docs</artifactId>
- <version>1.0.0</version>
- <packaging>pom</packaging>
- <properties>
- <generateReports>false</generateReports>
- </properties>
- <build>
- <extensions>
- <extension>
- <groupId>org.apache.maven.wagon</groupId>
- <artifactId>wagon-webdav-jackrabbit</artifactId>
- <version>2.10</version>
- </extension>
- </extensions>
- </build>
- <distributionManagement>
- <site>
- <id>fdio-site</id>
- <url>dav:${DOCS_REPO_URL}/${PROJECT_PATH}/${GERRIT_BRANCH}</url>
- </site>
- </distributionManagement>
-</project>
-EOF
-
-${MVN} site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}" -T 4C
-
-cd -
-
-if [ "${STATUS}" == "PASS" ]; then
- exit 0
-else
- exit 1
-fi
diff --git a/jjb/scripts/csit/device-semiweekly.sh b/jjb/scripts/csit/device-semiweekly.sh
index ff82cb5c8..1086b5463 100644..100755
--- a/jjb/scripts/csit/device-semiweekly.sh
+++ b/jjb/scripts/csit/device-semiweekly.sh
@@ -21,13 +21,14 @@ set -exuo pipefail
#
# Variables read:
# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
+# - GIT_URL - Git clone URL
# - BRANCH_ID - CSIT operational branch to be used for test.
# Directories updated:
# - ${WORKSPACE}/csit - Created, holding a checked out CSIT repository.
# - Multiple other side effects by entry script(s), see CSIT repository.
cd "${WORKSPACE}"
-git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
+git clone "${GIT_URL}/csit" --depth=1 --no-single-branch --no-checkout
# Check BRANCH_ID value.
if [[ -z "${BRANCH_ID-}" ]]; then
echo "BRANCH_ID not provided => 'oper' belonging to master will be used."
@@ -47,3 +48,4 @@ git checkout "${BRANCH_NAME}"
popd
csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
source "${csit_entry_dir}/bootstrap_vpp_device.sh"
+cp -R "${WORKSPACE}/csit/archives" "${WORKSPACE}/archives" || true
diff --git a/jjb/scripts/csit/docs.sh b/jjb/scripts/csit/docs.sh
deleted file mode 100644
index 55048f2fd..000000000
--- a/jjb/scripts/csit/docs.sh
+++ /dev/null
@@ -1,78 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/csit/docs.sh"
-
-set -xe -o pipefail
-
-[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/csit
-[ "$DOC_DIR" ] || DOC_DIR=resources/tools/doc_gen
-[ "$BUILD_DIR" ] || BUILD_DIR=${DOC_DIR}/_build
-[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site
-[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources/doc
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-
-cd ${DOC_DIR}
-chmod +x ./run_doc.sh
-./run_doc.sh ${GERRIT_BRANCH}
-
-retval=$?
-if [ ${retval} -ne "0" ]; then
- echo "Documentation generation failed!"
-exit ${retval}
-fi
-
-if [[ ${JOB_NAME} == *merge* ]]; then
-
- cd ${WORKSPACE}
-
- mkdir -p ${RESOURCES_DIR}
- mv -f ${BUILD_DIR}/* ${RESOURCES_DIR}
- cd ${SITE_DIR}
-
- cat > pom.xml << EOF
- <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
- <modelVersion>4.0.0</modelVersion>
- <groupId>io.fd.csit</groupId>
- <artifactId>docs</artifactId>
- <version>1.0.0</version>
- <packaging>pom</packaging>
- <properties>
- <generateReports>false</generateReports>
- </properties>
- <build>
- <extensions>
- <extension>
- <groupId>org.apache.maven.wagon</groupId>
- <artifactId>wagon-webdav-jackrabbit</artifactId>
- <version>2.10</version>
- </extension>
- </extensions>
- </build>
- <distributionManagement>
- <site>
- <id>fdio-site</id>
- <url>dav:${DOCS_REPO_URL}/${PROJECT_PATH}/${GERRIT_BRANCH}</url>
- </site>
- </distributionManagement>
- </project>
-EOF
-
- ${MVN} site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}" -T 4C
-
- cd -
-
-fi
diff --git a/jjb/scripts/csit/hc2vpp-verify-func.sh b/jjb/scripts/csit/hc2vpp-verify-func.sh
deleted file mode 100644
index e5d92647c..000000000
--- a/jjb/scripts/csit/hc2vpp-verify-func.sh
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/hc2vpp-verify-func.sh"
-
-# Parse optional arguments from gerrit comment trigger
-for i in ${GERRIT_EVENT_COMMENT_TEXT}; do
- case ${i} in
- *honeycomb=*)
- hc_version=`echo "${i}" | cut -d = -f2-`
- ;;
- *)
- ;;
- esac
-done
-
-# If HC variable is set, check honeycomb version.
-if [[ -n "${hc_version}" ]]; then
- if [[ "${hc_version}" == *"-release" ]]; then
- # we are going to test release build. All release
- # packages should be already present in release repo
- STREAM="release"
- echo "STREAM set to: ${STREAM}"
- fi
-fi
-
-# execute csit bootstrap script if it exists
-if [[ ! -e bootstrap-hc2vpp-integration.sh ]]
-then
- echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
- exit 1
-else
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-hc2vpp-integration.sh
- # run the script
- ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/nsh_sfc-functional-virl.sh b/jjb/scripts/csit/nsh_sfc-functional-virl.sh
deleted file mode 100644
index abf7e8755..000000000
--- a/jjb/scripts/csit/nsh_sfc-functional-virl.sh
+++ /dev/null
@@ -1,36 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/csit/nsh_sfc-functional-virl.sh"
-
-set -xeu -o pipefail
-
-# execute nsh_sfc bootstrap script if it exists
-if [ -e bootstrap-nsh_sfc-functional-virl.sh ]
-then
- # make sure that bootstrap-nsh_sfc-functional-virl.sh is executable
- chmod +x bootstrap-nsh_sfc-functional-virl.sh
- # run the script
- if [ ${STREAM} == 'master' ]; then
- ./bootstrap-nsh_sfc-functional-virl.sh ${STREAM} ${OS}
- else
- ./bootstrap-nsh_sfc-functional-virl.sh 'stable.'${STREAM} ${OS}
- fi
-else
- echo 'ERROR: No bootstrap-nsh_sfc-functional-virl.sh found'
- exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/nsh_sfc-perf-hw.sh b/jjb/scripts/csit/nsh_sfc-perf-hw.sh
deleted file mode 100644
index 306bd55ad..000000000
--- a/jjb/scripts/csit/nsh_sfc-perf-hw.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/csit/nsh_sfc-perf-hw.sh"
-
-# execute nsh_sfc bootstrap script if it exists
-if [ ! -e bootstrap-verify-perf-nsh_sfc.sh ]
-then
- echo 'ERROR: No bootstrap-verify-perf-nsh_sfc.sh found'
- exit 1
-fi
-
-# make sure that bootstrap-verify-perf.sh is executable
-chmod +x bootstrap-verify-perf-nsh_sfc.sh
-# run the script
-if [ ${STREAM} == 'master' ]; then
- ./bootstrap-verify-perf-nsh_sfc.sh ${STREAM} ${OS}
-else
- ./bootstrap-verify-perf-nsh_sfc.sh 'stable.'${STREAM} ${OS}
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/perf-timed.sh b/jjb/scripts/csit/perf-timed.sh
index 93566550a..10925b04f 100644..100755
--- a/jjb/scripts/csit/perf-timed.sh
+++ b/jjb/scripts/csit/perf-timed.sh
@@ -21,6 +21,7 @@ set -exuo pipefail
#
# Variables read:
# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
+# - GIT_URL - Git clone URL
# - GERRIT_BRANCH - Jenkins configured GERRIT_BRANCH parameter equal to required
# CSIT branch.
# - CSIT_REF - Override ref of CSIT git repository to checkout.
@@ -29,10 +30,10 @@ set -exuo pipefail
# - Multiple other side effects by entry script(s), see CSIT repository.
cd "${WORKSPACE}"
-git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
+git clone "${GIT_URL}/csit" --depth=1 --no-single-branch --no-checkout
pushd "${WORKSPACE}/csit"
if [[ -n "${CSIT_REF-}" ]]; then
- git fetch --depth=1 https://gerrit.fd.io/r/csit "${CSIT_REF}"
+ git fetch --depth=1 "${GIT_URL}/csit" "${CSIT_REF}"
git checkout FETCH_HEAD
else
git checkout "${GERRIT_BRANCH}"
@@ -40,3 +41,4 @@ fi
popd
csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
source "${csit_entry_dir}/with_oper_for_vpp.sh" "bootstrap_verify_perf.sh"
+cp -R "${WORKSPACE}/csit/archives" "${WORKSPACE}/archives" || true
diff --git a/jjb/scripts/csit/report.sh b/jjb/scripts/csit/report.sh
deleted file mode 100644
index 16018fdc9..000000000
--- a/jjb/scripts/csit/report.sh
+++ /dev/null
@@ -1,78 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/csit/report.sh"
-
-set -xe -o pipefail
-
-[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/csit
-[ "$DOC_DIR" ] || DOC_DIR=resources/tools/presentation
-[ "$BUILD_DIR" ] || BUILD_DIR=${DOC_DIR}/_build
-[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site
-[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources/report
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-
-cd ${DOC_DIR}
-chmod +x ./run_report.sh
-./run_report.sh ${GERRIT_BRANCH}
-
-retval=$?
-if [ ${retval} -ne "0" ]; then
- echo "Report generation failed!"
-exit ${retval}
-fi
-
-if [[ ${JOB_NAME} == *merge* ]]; then
-
- cd ${WORKSPACE}
-
- mkdir -p ${RESOURCES_DIR}
- mv -f ${BUILD_DIR}/* ${RESOURCES_DIR}
- cd ${SITE_DIR}
-
- cat > pom.xml << EOF
- <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
- <modelVersion>4.0.0</modelVersion>
- <groupId>io.fd.csit</groupId>
- <artifactId>docs</artifactId>
- <version>1.0.0</version>
- <packaging>pom</packaging>
- <properties>
- <generateReports>false</generateReports>
- </properties>
- <build>
- <extensions>
- <extension>
- <groupId>org.apache.maven.wagon</groupId>
- <artifactId>wagon-webdav-jackrabbit</artifactId>
- <version>2.10</version>
- </extension>
- </extensions>
- </build>
- <distributionManagement>
- <site>
- <id>fdio-site</id>
- <url>dav:${DOCS_REPO_URL}/${PROJECT_PATH}/${GERRIT_BRANCH}</url>
- </site>
- </distributionManagement>
- </project>
-EOF
-
- ${MVN} site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}" -T 4C
-
- cd -
-
-fi
diff --git a/jjb/scripts/csit/vpp-functional-virl.sh b/jjb/scripts/csit/terraform-aws-eb-version-deploy.sh
index 21333aa66..3bc683b91 100644
--- a/jjb/scripts/csit/vpp-functional-virl.sh
+++ b/jjb/scripts/csit/terraform-aws-eb-version-deploy.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2023 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -13,18 +13,9 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-echo "---> jjb/scripts/csit/vpp-functional-virl.sh"
+echo "---> jjb/scripts/csit/terraform-aws-eb-version-deploy.sh"
-# execute csit bootstrap script if it exists
-if [ -e bootstrap.sh ]
-then
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap.sh
- # run the script
- ./bootstrap.sh
-else
- echo 'ERROR: No bootstrap.sh found'
- exit 1
-fi
+set -exuo pipefail
-# vim: ts=4 ts=4 sts=4 et :
+csit_entry_dir="${WORKSPACE}/resources/libraries/bash/entry"
+source "${csit_entry_dir}/bootstrap_aws_eb_version_deploy.sh"
diff --git a/jjb/scripts/csit/vpp-functional-multilink.sh b/jjb/scripts/csit/terraform-aws-eb-version-verify.sh
index a076d875b..7a9f16261 100644
--- a/jjb/scripts/csit/vpp-functional-multilink.sh
+++ b/jjb/scripts/csit/terraform-aws-eb-version-verify.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2023 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -13,18 +13,9 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-echo "---> jjb/scripts/csit/vpp-functional-multilink.sh"
+echo "---> jjb/scripts/csit/terraform-aws-eb-version-verify.sh"
-# execute csit bootstrap script if it exists
-if [ -e bootstrap-multilink.sh ]
-then
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-multilink.sh
- # run the script
- ./bootstrap-multilink.sh
-else
- echo 'ERROR: No bootstrap-multilink.sh found'
- exit 1
-fi
+set -exuo pipefail
-# vim: ts=4 ts=4 sts=4 et :
+csit_entry_dir="${WORKSPACE}/resources/libraries/bash/entry"
+source "${csit_entry_dir}/bootstrap_aws_eb_version_verify.sh"
diff --git a/jjb/scripts/csit/tldk-functional-virl.sh b/jjb/scripts/csit/tldk-functional-virl.sh
deleted file mode 100644
index 5f3090139..000000000
--- a/jjb/scripts/csit/tldk-functional-virl.sh
+++ /dev/null
@@ -1,41 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/csit/tldk-functional-virl.sh"
-
-set -xeu -o pipefail
-
-# Clone tldk and start tests
-git clone https://gerrit.fd.io/r/tldk
-
-# If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
- exit 1
-fi
-
-# execute tldk bootstrap script if it exists
-if [ -e bootstrap-TLDK.sh ]
-then
- # make sure that bootstrap-TLDK.sh is executable
- chmod +x bootstrap-TLDK.sh
- # run the script
- ./bootstrap-TLDK.sh
-else
- echo 'ERROR: No bootstrap-TLDK.sh found'
- exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :